### Enumeration

# GIRepository ArrayType

since: 2.80

#### Declaration

    enum GIRepository.ArrayType

#### Description [src]

The type of array in a `GITypeInfo`.

Available since: 2.80

#### Members

Name | Description
--- | ---
`GI_ARRAY_TYPE_C` | A C array, `char[]` for instance.
`GI_ARRAY_TYPE_ARRAY` | A `GArray` array.
`GI_ARRAY_TYPE_PTR_ARRAY` | A `GPtrArray` array.
`GI_ARRAY_TYPE_BYTE_ARRAY` | A `GByteArray` array.